ComparableNode (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.node
Interface ComparableNode

All Superinterfaces:
  Comparable<ComparableNode>, Element

All Known Subinterfaces:
  DependencyNode, Node, NonTerminalNode, PhraseStructureNode, TerminalNode, TokenNode

All Known Implementing Classes:
  GraphNode, NonTerminal, Root, Token

    public interface ComparableNode

extends Element, Comparable<ComparableNode>

Method Summary
`int` | `getCompareToIndex()` Returns the index of the node (only used internal by compareTo).
`SortedSet<Edge>` | `getIncomingSecondaryEdges()` Returns a sorted set of incoming secondary edges.
`int` | `getInDegree()` Returns the in degree of the node (number of incoming edges of all types of edges).
`int` | `getIndex()` Returns the index of the node.
`ComparableNode` | `getLeftmostDescendant()` Returns the left-most terminal descendant node.
`int` | `getLeftmostDescendantIndex()` Returns the index of the left-most terminal descendant node.
`ComparableNode` | `getLeftmostProperDescendant()` Returns the left-most proper terminal descendant node (excluding itself).
`int` | `getLeftmostProperDescendantIndex()` Returns the index of the left-most proper terminal descendant node (excluding itself).
`int` | `getOutDegree()` Returns the out degree of the node (number of outgoing edges of all types of edges).
`SortedSet<Edge>` | `getOutgoingSecondaryEdges()` Returns a sorted set of outgoing secondary edges.
`ComparableNode` | `getRightmostDescendant()` Returns the right-most terminal descendant node.
`int` | `getRightmostDescendantIndex()` Returns the index of the right-most terminal descendant node.
`ComparableNode` | `getRightmostProperDescendant()` Returns the right-most proper terminal descendant node (excluding itself).
`int` | `getRightmostProperDescendantIndex()` Returns the index of the right-most proper terminal descendant node (excluding itself).
`boolean` | `isRoot()` Returns true if the node is a root node, otherwise false.

Methods inherited from interface org.maltparser.core.syntaxgraph.Element
`addLabel, addLabel, addLabel, clear, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getIndex

    int getIndex()

  Returns the index of the node.

  Returns:
    the index of the node.

### getCompareToIndex

    int getCompareToIndex()

  Returns the index of the node (only used internal by compareTo).

  Returns:
    the index of the node (only used internal by compareTo).

### isRoot

    boolean isRoot()

  Returns true if the node is a root node, otherwise false.

  Returns:
    true if the node is a root node, otherwise false.

### getLeftmostProperDescendant

    ComparableNode getLeftmostProperDescendant()
                                               throws MaltChainedException

  Returns the left-most proper terminal descendant node (excluding itself).

  Returns:
    the left-most proper terminal descendant node.
  Throws:
    `MaltChainedException`

### getRightmostProperDescendant

    ComparableNode getRightmostProperDescendant()
                                                throws MaltChainedException

  Returns the right-most proper terminal descendant node (excluding itself).

  Returns:
    the right-most proper terminal descendant node.
  Throws:
    `MaltChainedException`

### getLeftmostProperDescendantIndex

    int getLeftmostProperDescendantIndex()
                                         throws MaltChainedException

  Returns the index of the left-most proper terminal descendant node (excluding itself).

  Returns:
    the index of the left-most proper terminal descendant node.
  Throws:
    `MaltChainedException`

### getRightmostProperDescendantIndex

    int getRightmostProperDescendantIndex()
                                          throws MaltChainedException

  Returns the index of the right-most proper terminal descendant node (excluding itself).

  Returns:
    the index of the right-most proper terminal descendant node.
  Throws:
    `MaltChainedException`

### getLeftmostDescendant

    ComparableNode getLeftmostDescendant()
                                         throws MaltChainedException

  Returns the left-most terminal descendant node.

  Returns:
    the left-most terminal descendant node.
  Throws:
    `MaltChainedException`

### getRightmostDescendant

    ComparableNode getRightmostDescendant()
                                          throws MaltChainedException

  Returns the right-most terminal descendant node.

  Returns:
    the right-most terminal descendant node.
  Throws:
    `MaltChainedException`

### getLeftmostDescendantIndex

    int getLeftmostDescendantIndex()
                                   throws MaltChainedException

  Returns the index of the left-most terminal descendant node.

  Returns:
    the index of the left-most terminal descendant node.
  Throws:
    `MaltChainedException`

### getRightmostDescendantIndex

    int getRightmostDescendantIndex()
                                    throws MaltChainedException

  Returns the index of the right-most terminal descendant node.

  Returns:
    the index of the right-most terminal descendant node.
  Throws:
    `MaltChainedException`

### getInDegree

    int getInDegree()

  Returns the in degree of the node (number of incoming edges of all types of edges).

  Returns:
    the in degree of the node (number of incoming edges of all types of edges).

### getOutDegree

    int getOutDegree()

  Returns the out degree of the node (number of outgoing edges of all types of edges).

  Returns:
    the out degree of the node (number of outgoing edges of all types of edges).

### getIncomingSecondaryEdges

    SortedSet<Edge> getIncomingSecondaryEdges()

  Returns a sorted set of incoming secondary edges.

  Returns:
    a sorted set of incoming secondary edges.

### getOutgoingSecondaryEdges

    SortedSet<Edge> getOutgoingSecondaryEdges()

  Returns a sorted set of outgoing secondary edges.

  Returns:
    a sorted set of outgoing secondary edges.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.